// ignore_for_file: constant_identifier_names
class MeasureUnsupportedTerms {
  static const items = [
    PSAD,
    AntPelvic_Rest,
    AntPelvic_Valsalva,
    // HR,
    HC_AC,
    FL_AC,
    FL_HC,
    TCD_AC,
    Vas_Plaque,
    HIP_D_D
  ];
  static const PSAD = "PSAD";
  static const AntPelvic_Rest = "Ant. Pelvic(Rest)";
  static const AntPelvic_Valsalva = "Ant. Pelvic(Valsalva)";
  // static const HR = "HR";
  static const HC_AC = "HC/AC";
  static const FL_AC = "FL/AC";
  static const FL_HC = "FL/HC";
  static const TCD_AC = "TCD/AC";
  static const Vas_Plaque = "Vas Plaque";
  static const HIP_D_D = "HIP d/D";
}

class MeasurespecialsupportedTerms {
  static const items = [
    HR,
  ];
  static const HR = "HR";
}

class MeasureTerms {
  ///////////////////////////////////////////////////////////////////////////////////////////////////////

  /* AI [begin]*/
  /// 前壁
  static const AntCCA_IMT = "Ant.CCA IMT";

  /// 后壁
  static const PostCCA_IMT = "Post.CCA IMT";

  /// 前壁和后壁
  static const BothCCA_IMT = "Both.CCA IMT";

  /// 斑块检测
  static const PlaqueDetection = "Plaque Detection";

  /// 内膜检测
  static const IntimaDetection = "Intima Detection";
  /* AI [end]*/

  /////////////////////////////////////////////Common/////////////////////////////////////////////
  //////////Tissue//////////

  /// 深度
  static const Depth = "Depth";

  /// 距离
  static const Distance = "Distance";

  /// 周长
  static const Perimeter = "Perimeter";

  /// 面积
  static const Area = "Area";

  /// 体积
  static const Volume = "Volume";

  /// 角度
  static const Angle = "Angle";

  /// %Stenosis
  /// 狭窄度
  static const Stenosis = "%Stenosis";

  /// A/B Ratio
  /// A和B比 值
  static const AbRatio = "A/B Ratio";

  /// Ratio
  /// 比 值
  static const Ratio = "Ratio";

  //////////TissueTimeMotion//////////
  /// 距离
  static const VerticalDistance = "Distance";

  /// 时间
  static const Time = "Time";

  /// 直径
  static const Diam = "Diam";

  /// 时间
  static const Timespan = "Timespan";
  static const Slope = "Slope";
  static const AvgDistance = "Avg";

  /// 包络时间
  static const TiEnv = "Ti Env";

  /// 速度
  static const Velocity = "Velocity";

  /// 最大速度
  static const VelocityMax = "Vmax";

  /// 平均速度
  static const VelocityMean = "Vmean";

  /// Heart Rate
  /// 心率
  static const HeartRate = "HR";
  static const InputItem = "Input";

  //////////Doppler//////////
  /// 加速度
  static const Acceleration = "Acceleration";

  /// 加速时间
  static const AT = "AT";

  /// 减速时间
  static const DT = "DT";

  /// AT与DT比值
  static const ATDTRatio = "AT/DT";

  /// AT与TiEnv比值
  static const ATETRatio = "AT/ET";

  ///  Peak Systolic Velocity
  /// 收缩期峰值速度
  static const PS = "PS";

  /// End Dastolic Velocity
  /// 舒张末期速度
  static const ED = "ED";

  static const PSED = "PS/ED";
  static const EDPS = "ED/PS";
  static const MD = "MD";
  static const TAMAX = "TAMAX";
  static const TAMEAN = "TAMEAN";
  static const TAMIN = "TAMIN";

  /// Pulastility Index
  /// 搏动指数
  static const PI = "PI";

  /// Pulastility Index
  /// 搏动指数(PS MD)
  static const PIMD = "PI(MD)";

  /// Resistivity Index
  /// 阻力指数
  static const RI = "RI";

  /// Resistivity Index
  /// 阻力指数(PS MD)
  static const RIMD = "RI(MD)";

  /// 血流量(By TAMEAN)
  static const FlowVol = "FLOW VOL";

  /// 血流量(By TAMAX)
  static const FlowVolTAMAX = "FLOW VOL(MAX)";
  static const FlowArea = "Flow Area";

  /// 最大压力梯度
  static const MaxPG = "Max PG";

  /// 平均压力梯度
  static const MeanPG = "Mean PG";

  /// Max Trace 平均压力梯度
  static const MPG = "MPG";

  /// Mean Trace 平均压力梯度
  static const MMPG = "MMPG";

  /// 峰值压力梯度
  static const PeakPG = "Peak PG";

  /////////////////////////////////////////////Common/////////////////////////////////////////////

  /////////////////////////////////////////////Abdomen/////////////////////////////////////////////

  /// Bladder
  /// 膀胱
  static const Bladder = "Bladder";

  /// Bladder Volume
  /// 膀胱体积
  static const BladderVolume = "Bladder Vol.";

  /// Bladder
  /// 肾脏
  static const Renal = "Renal";

  /// Left Renal Volume
  /// 左肾体积
  static const LeftRenalVolume = "Renal Vol.(L)";

  /// Right Renal Volume
  /// 右肾体积
  static const RightRenalVolume = "Renal Vol.(R)";

  /////////////////////////////////////////////Abdomen/////////////////////////////////////////////

  //Urology
  /// Prostate
  static const Prostate = "Prostate";

  /// Bladder Neck Rest
  static const BNR = "BNR";

  /// Bladder Neck Stress
  static const BNS = "BNS";

  /// Bladder Neck Descent
  static const BND = "BND";

  /// Detrusor Wall Thickness
  static const DWT = "DWT";

  /// Residual Urine Volume
  static const RUV = "RUV";

  /// Uterine Descent Maximum
  static const UTDMAX = "UTDMAX";

  /// Rectal Ampulla Descent Maximum
  static const RADMAX = "RADMAX";

  /// Rectocele
  static const Rectocele = "Rectocele";

  /// Levator Hiatus Stress
  /// 提肌裂隙应力
  static const LevatorHiatusStress = "Levator Hiatus Stress";

  /// Prostate Volume
  static const ProstateVolume = "Prostate Volume";

  ///  Prostate special antigen density (PSAD)
  ///  前列腺特异抗原密度
  static const PSAD = "PSAD";

  /// Prostate specific antigen (PSA)
  /// 前列腺特异抗原
  static const PSA = "PSA";

  /// PPSA
  /// 前列腺特异抗原启动子
  static const PPSA = "PPSA";

  /// PPSA Coefficient
  /// PPSA 系数
  static const PPSACoefficient = "PPSA Coefficient";

  //Cardiac

  /// 左心室心功能测量
  static const LvStudy = "LV Study";

  /// Body Surface Area
  /// 体表面积
  static const BSA = "BSA";

  /// End-diastolic volume
  /// 舒张期容积
  static const EDV = "EDV";

  /// End-systolic volume
  /// 收缩期容积
  static const ESV = "ESV";

  /// SI
  /// 每搏量指数
  static const SI = "SI";

  /// Stroke volume
  /// 每搏量
  static const SV = "SV";

  /// Ejection fraction
  /// 射血分数
  static const EF = "EF";

  /// Cardiac output
  /// 心输出量
  static const CO = "CO";

  /// Cardiac output
  /// 心输出量
  static const CO_2D = "CO(2D)";

  /// Cardiac output
  /// 心输出量
  static const CO_M = "CO(M)";

  /// Cardiac output
  /// 心输出量
  static const CO_P = "CO(Doppler)";

  /// Cardiac output index
  /// 心输出量指数
  static const CI = "CI";

  /// Cross sectional area
  /// 切面面积
  static const CSA = "CSA";

  /// IVSd
  /// 室间隔舒张期厚度
  static const IVSd = "IVSd";

  /// left ventricular internal dimension end-diastolic
  /// 左心室舒张期内径
  static const LVIDd = "LVIDd";

  /// LVPWd
  /// 左心室后壁舒张期厚度
  static const LVPWd = "LVPWd";

  /// IVSs
  /// 室间隔收缩期厚度
  static const IVSs = "IVSs";

  /// left ventricular internal dimension end-systole
  /// 左心室收缩期内径
  static const LVIDs = "LVIDs";

  /// LVPWs
  /// 左心室后壁收缩期厚度
  static const LVPWs = "LVPWs";

  /// Left ventricular end-diastolic volume
  /// 左心室舒张期容积
  static const LVEDV = "LVEDV";

  /// Left ventricular end-systolic volume
  /// 左心室收缩期容积
  static const LVESV = "LVESV";

  /// LVIDd Index
  /// 左心室舒张期内径指数
  static const LVIDdIndex = "LVIDd Index";

  /// LVd Mass
  /// 左心室舒张期质量
  static const LVdMass = "LVd Mass";

  /// LVd Mass Index
  /// 左心室舒张期质量指数
  static const LVdMassIndex = "LVd Mass Index";

  /// LVd Mass(ASE)
  /// 左心室舒张期质量(ASE)
  static const LVdMassASE = "LVd Mass(ASE)";

  /// LVd Mass Index(ASE)
  /// 左心室舒张期质量指数(ASE)
  static const LVdMassIndexASE = "LVd Mass Index(ASE)";

  /// LVIDs Index
  /// 左心室收缩期内径指数
  static const LVIDsIndex = "LVIDs Index";

  /// Left ventricular end-diastolic volume index
  /// 左心室舒张末期容积指数
  static const LVEDVI = "LVEDVI";

  /// Left ventricular end-systolic volume index
  /// 左心室收缩末期容积指数
  static const LVESVI = "LVESVI";

  /// LVd Mass
  /// 左心室收缩期质量
  static const LVsMass = "LVs Mass";

  /// LVs Mass Index
  /// 左心室收缩期质量指数
  static const LVsMassIndex = "LVs Mass Index";

  /// LVs Mass(ASE)
  /// 左心室收缩期质量(ASE)
  static const LVsMassASE = "LVs Mass(ASE)";

  /// LVs Mass Index(ASE)
  /// 左心室收缩期质量指数(ASE)
  static const LVsMassIndexASE = "LVs Mass Index(ASE)";

  /// Fractional shortening
  /// 短轴缩短率
  static const FS = "%FS";

  /// %IVS
  /// 室间隔舒张收缩厚度比
  static const PercentIVS = "%IVS";

  /// %LVPW
  /// 左心室后壁舒张收缩厚度比
  static const PercentLVPW = "%LVPW";

  /// Left ventricular ejection time
  /// 左室射血时间
  static const LVET = "LVET";

  /// Relative Wall Thickness
  /// 相对室壁厚度
  static const RWT = "RWT";

  /// mean velocity of circumferential fiber Shortening VCf
  /// 纤维圆周缩短平均速度
  static const MVcf = "MVcf";
  static const Strain = "Strain";
  static const EFW = "EFW";

  static const Percentile = "Percentile";
  static const GA = "GA";
  static const EDD = "EDD";

  /// Tei指数（Tei index）即心肌做功指数，又称心肌综合指数（MPI）
  static const TeiIndex = "Tei Index";

  /// 压力梯度
  static const PG = "PG";

  /// 血流的速度时间积分
  static const VTI = "VTI";

  /// 血流的速度时间积分
  static const VTIMean = "VTI(Mean)";
// TODO:
//  static const HIPα = "Angle α";
//  static const HIPβ = "Angle β";

  ///
  static const PISA = "PISA";

  /// 二尖瓣返流混叠极限速度
  static const MRAlsVel = "MR Als.Vel";

  /// 二尖瓣返流最大速度
  static const MRVmax = "MR Vmax";

  /// 二尖瓣返流量
  static const MRRV = "MR RV";

  /// 二尖瓣返流速率
  static const MRFlowRate = "MR Flow Rate";

  /// 二尖瓣返流分数
  static const MRFraction = "MR Fraction";

  /// 二尖瓣有效返流口面积
  static const MREROA = "MR EROA";

  /// 顺应系数
  static const PWVCC = "CC";

  /// 扩张系数
  static const PWVDC = "DC";

  /// 弹性模量
  static const PWVEP = "E";

  /// 剪切模量
  static const SHEARMODULUS = "G";

  /// 僵硬度
  static const PWVDNF = "β";

  /// 脉搏波波速
  static const PWVVELOCITY = "PWV";
  static const dPdt = "dP/dt";

  /// Dimensionless Velocity Index
  static const DVI = "DVI";

  /// Aortic Valve Area Index
  static const AVAI = "AVAI";
  static const VelocitySum = "Vel Sum";

  /// 右房压
  static const RAP = "RAP";

  /// 右室收缩压：Right Ventricular Systolic Pressure
  static const RVSP = "RVSP";

  /// LA Volume Index
  /// 左房（收缩/舒张）末期容积指数
  static const LAVI = "LAVI";

  /// 左房（收缩/舒张）末期容积
  static const LAEV = "LAEV";

  static const IVCT = "IVCT";

  static const IVRT = "IVRT";

  /// E波速度
  static const EVEL = "Vel E";

  /// A波速度
  static const AVEL = "Vel A";

  /// E峰A峰比值
  static const EARatio = "V E/A";

  /// 压差降半时间
  static const PHT = "PHT";

  /// 瓣口面积
  static const VA = "VA";

  /// A波持续时间
  static const ADur = "A Dur";

  /// 左心室心功能测量
  static const MvSlopeGroup = "Mitral Group";
  static const DESlope = "D-E Slope";
  static const EFSlope = "E-F Slope";
  static const EPSS = "EPSS";
  static const DEDistance = "D-E Dist";
  static const EFDistance = "E-F Dist";

  /// body weight normalized left ventricular internal dimension in diastole
  static const LVIDdN = "LVIDdN";

  /// body weight normalized left ventricular internal dimension in systole
  static const LVIDsN = "LVIDsN";
  static const MvMultiPointsGroup = "MV Points";
  static const DeltaTime = "ΔT";
  static const TransmitDistance = "Transmit Dist";
  static const OriginalDistance = "Original Dist";
  static const cfPWV = "cfPWV";
  static const SD = "SD";
  static const AvgHR = "AvgHR";

  /// 膀胱颈距离
  static const BSD = "BSD";

  /// 尿道倾斜角
  static const UGA = "UGA";

  /// 膀胱尿道后角
  static const RVA = "RVA";

  /// 膀胱下降距离
  static const BDD = "BDD";

  /// 尿道旋转角
  static const URA = "URA";
  static const DB = "DB";
  // Shear Wave Velocity
  static const ShearWaveVel = "Cs";
  static const AlsVel = "Als.Vel";
  static const MvPgE = "MV PG E";
  static const MvPgA = "MV PG A";
  static const AutoFollicle = "Auto Follicle";
  static const AiFollicle = "AI Follicle";
  static const AiOvary = "AI Ovary";
  static const BladderVolumeCoefficient = "VolumeCoefficient";
  static const VolumeCoefficient = "π/6";
  static const ReliableIndex = "RLB Index";
  static const Mean = "Mean";
  static const Min = "Min";
  static const Max = "Max";
  static const SWVKey = "SWV";
  static const ElasticModulusKey = "ElasticModulus";
  static const ShearModulusKey = "ShearModulus";
  static const Med = "Med";
  static const Iqr = "IQR";
  static const IqrMedRatio = "IQR/Med";
  static const ValidCyclesCount = "ValidCount";
  static const RToAvc = "R-AVC";
  static const RToAvo = "R-AVO";
  static const RToMvc = "R-MVC";
  static const RToMvo = "R-MVO";
  static const RealTime = "RealTime";
  static const AC = "AC";
  static const APTD = "APTD";
  static const APAD = "APAD";
  static const AxT = "AxT";
  static const BD = "BD";
  static const BPD = "BPD";
  static const CLAV = "CLAV";
  static const CRL = "CRL";
  static const FIB = "FIB";
  static const FL = "FL";
  static const Ft = "Ft";
  static const FTA = "FTA";
  static const GS = "GS";
  static const HC = "HC";
  static const HL = "HL";
  static const IOD = "IOD";
  static const MAD = "MAD";
  static const OFD = "OFD";
  static const OOD = "OOD";
  static const RAD = "RAD";
  static const SL = "SL";
  static const TAD = "TAD";
  static const TCD = "TCD";
  static const THD = "THD";
  static const TIB = "TIB";
  static const TTD = "TTD";
  static const ULNA = "ULNA";
  static const AFI = "AFI";
  static const OFDbyHC = "OFD(HC)";
  static const LongAxis = "Long Axis";
  static const ShortAxis = "Short Axis";
  static const OBRatioHCAC = "HC/AC";
  static const OBRatioFLAC = "FL/AC";
  static const OBRatioFLBPD = "FL/BPD";
  static const OBRatioFLHC = "FL/HC";
  static const OBRatioBPDOFD = "CI(BPD/OFD)";
  static const HipRatio = "HIP d/D";
  static const LevatorHiatusLRKey = "LHLR";
  static const LevatorHiatusAPKey = "LHAP";
  static const LeftLUGKey = "Left LUG";
  static const RightLUGKey = "Right LUG";
  static const Baseline = "Baseline";
  static const CTDR = "CTDR";

  static const CervixL = "Cervix L";
  static const CervixW = "Cervix W";
  static const CervixH = "Cervix H";

  static const Placeholder = "Placeholder";
}
