// ignore_for_file: constant_identifier_names

/* Temp [begin] */
/* Temp [end] */
class MeasureTypes {
  MeasureTypes._();

  /// 空类型，用于结束测量
  static const Empty = 'Empty';

/* Location [begin] */
  /// 深度
  static const Depth = "Depth";

  /// 深度（M mode）
  static const MDepth = "MDepth";

  /// 速度
  static const Velocity = "Velocity";
/* Location [end] */

/* Angle [begin] */
  /// 角度
  static const Angle = "Angle";

  static const HipTwoAngle = "HipTwoAngle";
  static const PolyLineAngle = "PolyLineAngle";
  static const TwoStraightLineAngle = "TwoStraightLineAngle";

  static const Ray = "Ray";
  static const HipOneRay = "HipOneRay";
  static const HipTwoRay = "HipTwoRay";
/* Angle [end] */

/* Length [begin] */
  /// 距离
  static const Distance = "Distance";

  static const CurveLengthSpline = "CurveLengthSpline";
  static const CurveLengthPolyline = "CurveLengthPolyline";
  static const CurveLengthTrace = "CurveLengthTrace";
  static const CurveLength = "CurveLength";
  static const VerticalDistance = "VerticalDistance";
  static const DepthToBaseLine = "DepthToBaseLine";
  static const AutoVesselDiam = "AutoVesselDiam";
  static const MultipleVesselDiam = "MultipleVesselDiam";
/* Length [end]*/

/* Area Perimeter [begin] */
  /// 周长/面积
  static const AreaPerimeter = "AreaPerimeter";

  static const AreaPerimeterPolyline = "AreaPerimeterPolyline";
  static const AreaPerimeterEllipse = "AreaPerimeterEllipse";
  static const AreaPerimeterSpline = "AreaPerimeterSpline";
  static const AreaPerimeterTwoDistance = "AreaPerimeterTwoDistance";
  static const AreaPerimeterTrace = "AreaPerimeterTrace";

  static const Pht = "Pht";
/* Area Perimeter [end] */

/* Volume  [begin] */
  /// 体积
  static const Volume = "Volume";
  static const VolumeOneDistance = "VolumeOneDistance";
  static const VolumeTwoDistance = "VolumeTwoDistance";
  static const VolumeThreeDistance = "VolumeThreeDistance";
  static const AreaStraightLine = "AreaStraightLine";
  static const VolumeEllipse = "VolumeEllipse";

  static const AutoBladder = "AutoBladder";
  static const Bladder = "Bladder";
/* Volume  [end] */

/* Ratio & Stenosis  [begin] */
  /// 狭窄率
  static const Stenosis = "Stenosis";
  static const StenosisTwoArea = "StenosisTwoArea";
  static const StenosisTwoDistance = "StenosisTwoDistance";
  static const StenosisTwoVerticalDistance = "StenosisTwoVerticalDistance";

  /// A/B 比值
  static const AbRatio = "AbRatio";
  static const AbRatioTwoArea = "AbRatioTwoArea";
  static const AbRatioTwoDepth = "AbRatioTwoDepth";
  static const AbRatioTwoVelocity = "AbRatioTwoVelocity";
  static const AbRatioTwoDistance = "AbRatioTwoDistance";
  static const AbRatioTwoVerticalDistance = "AbRatioTwoVerticalDistance";
  static const AbRatioTwoTimeSpan = "AbRatioTwoTimeSpan";
  static const AbRatioTwoSlope = "AbRatioTwoSlope";
/* Ratio & Stenosis  [end] */

/* Three StraightLine  [begin] */
  static const ThreeDistanceMean = "ThreeDistanceMean";
  static const ThreeDistanceMax = "ThreeDistanceMax";
/* Three StraightLine  [end] */

/* Two StraightLine  [begin] */
  static const TwoDistanceBase = "TwoDistanceBase";
  static const TwoVerticalDistance = "TwoVerticalDistance";
  static const TeiIndex = "TeiIndex";

  static const ResidualUrine = "ResidualUrine";
  static const EfCube = "EfCube";
  static const EfTeich = "EfTeich";
  static const IvsThck = "IvsThck";
  static const TwoDistanceAverage = "TwoDistanceAverage";
  static const MVcf = "MVcf";
  static const Ef = "Ef";
  static const FS = "FS";
  /* Two StraightLine  [end] */

/* OB  [begin] */
  static const HcBpdOfd = "HcBpdOfd";
  static const Afi = "Afi";
  static const AutoOBDistance = "AutoOBDistance";
  static const AutoPerimeter = "AutoPerimeter";
  static const OBDistance = "OBDistance";
  static const GS = "GS";
  static const HC = "HC";
  static const AC = "AC";
  static const OBRatioFLAC = "OBRatioFLAC";
  static const OBRatioFLHC = "OBRatioFLHC";
  static const OBRatioHCAC = "OBRatioHCAC";
  static const OBRatioFLBPD = "OBRatioFLBPD";
  static const OBRatioBPDOFD = "OBRatioBPDOFD";
  static const OBRatioTCDAC = "OBRatioTCDAC";
  static const CardiacAxis = "CardiacAxis";
/* OB  [end] */

  static const TimeSpan = "TimeSpan";
  static const Slope = "Slope";

  /* Doppler */
  static const SemiManualTrace = "SemiManualTrace";
  static const DopplerTrace = "DopplerTrace";
  static const SlopeDoppler = "SlopeDoppler";

  /// 阻力指数
  static const ResistivityIndex = "ResistivityIndex";
/* Three StraightLine  [begin] */
  static const ResistivityIndexTwoLocationByEd =
      "ResistivityIndexTwoLocationByEd";
  static const MaxPgTwoLocation = "MaxPgTwoLocation";

  static const HR = "Hr";
  /* AI [begin]*/
  /// 前壁
  static const AntCCA_IMT = "Ant.CCA IMT";

  /// 后壁
  static const PostCCA_IMT = "Post.CCA IMT";

  /// 前壁和后壁
  static const BothCCA_IMT = "Both.CCA IMT";

  /// 斑块检测
  static const PlaqueDetection = "Plaque Detection";

  /// 内膜检测
  static const IntimaDetection = "Intima Detection";
}
