import 'package:fis_measure/interfaces/date_types/rect_region.dart';
import 'package:fis_measure/interfaces/process/physical_coordinates/physical_coordinate.dart';
import 'package:fis_measure/interfaces/process/visuals/visual_area.dart';
import 'package:fis_measure/process/visual/time_motion_area.dart';
import 'package:vid/us/vid_us_unit.dart';

import 'viewport.dart';

class TimeMotionViewPort
    extends ViewPort<TimeMotionArea, ITimeMotionPhysicalCoordiante> {
  TimeMotionViewPort(
    IVisualArea visualArea,
    ITimeMotionPhysicalCoordiante physicalCoordinate,
    VidUsUnit xUnit,
    VidUsUnit yUnit,
    bool isFlipHorizontal,
    bool isFlipVertical,
    RectRegion region,
  ) : super(
          visualArea,
          xUnit,
          yUnit,
          isFlipHorizontal,
          isFlipVertical,
          region,
        ) {
    physical = physicalCoordinate;
  }
}
